/**
 * -------------------------------------------------------- *
 * ------------------- ПРИМЕРЫ ОБЪЕКТЫ -------------------- *
 * -------------------------------------------------------- *
 */

/**
 * -------------------------------------------------------- *
 * ------------------- СОЗДАНИЕ ОБЪЕКТА ------------------- *
 *                         свойства                         *
 */
let person = {   // объект
    name: "Ivan", // под ключом "name" хранится значение "Ivan"
    age: 30,    // под ключом "age" хранится значение 30
    height: 188, // под ключом "height" хранится значение 188
};
// вывод объекта в консоль
console.log(person);

/**
 * -------------------------------------------------------- *
 * ------------------- СОЗДАНИЕ ОБЪЕКТА ------------------- *
 *                составное название свойства               *
 */
let person_ = {   // объект
    name: "Ivan", // под ключом "name" хранится значение "Ivan"
    "person age": 30, // под ключом "person age" хранится значение 30
    height: 188   // под ключом "height" хранится значение 188
};
console.log(person_.name);          // вывод - Ivan
console.log(person_["person age"]); // вывод - 30

/**
 * -------------------------------------------------------- *
 * ------------------------ ОБЪЕКТЫ ----------------------- *
 *                     изменение свойств                    *
 */
// изменение значений объекта и удаление его свойств
console.log(person); // { name: 'Ivan', 'age': 30, height: 188 }
person.name = 'Petya'; // изменили значение name объекта
delete person.height; // удалили свойство height
console.log(person); // { name: 'Petya', 'age': 30 }
// а это встроенная возможность языка, получение "длины" значения
console.log(person.name.length); // вывод 5
// присвоим значение переменной х
let x = person_["person age"];
console.log(x); // вывод 30